Skip to main content
`Ctrl`+`K`

# DMDAGetLocalInfo

Gets information about a given `DMDA` and this MPI process’s location in it

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetLocalInfo(DM da, DMDALocalInfo *info)

Not Collective

## Input Parameter

- da - the `DMDA`

## Output Parameters

- info - structure containing the information

## Note

See `DMDALocalInfo` for the information that is returned

## Fortran Note

Pass in an array of type `DMDALocalInfo` of length `DMDA_LOCAL_INFO_SIZE`

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDAGetInfo()`, `DMDAGetCorners()`, `DMDALocalInfo`

## Level

beginner

## Location

src/dm/impls/da/daview.c

## Examples

src/snes/tutorials/ex28.c
src/ksp/ksp/tutorials/ex46.c
src/dm/tutorials/ex25.c
src/dm/tutorials/ex2.c
src/snes/tutorials/ex15.c
src/snes/tutorials/ex35.c
src/dm/tutorials/ex51.c
src/snes/tutorials/ex9.c
src/snes/tutorials/ex19.c
src/dm/tutorials/ex14.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages